// ==========================================================================
// $Id: TimerClock.java,v 1.3 2002/09/09 20:12:31 hitoshi Exp $
// Timer Clock 
// ==========================================================================
// Copyright (C) 2002 Yamauchi, Hitoshi
//
//   Max-Planck-Institut fuer Informatik AG4
//   Stuhlsatzenhausweg 85, 66123 Saarbruecken
//   http://www.mpi-sb.mpg.de/
// 
// This software can be redistributed only under GNU copyleft.
//
// @author Yamauchi Hitoshi »³Æâ ÀÆ
// ==========================================================================
// $Revision: 1.3 $
// $Date: 2002/09/09 20:12:31 $
// $Author: hitoshi $
// ==========================================================================
package de.mpg.mpisb.timerclock;

import  java.awt.*;

/**
 * main 
 */
public class TimerClock
{
  /**
   * constructor
   */
  // public TimerClock(){}

  /*
   * main for test
   */
  public static void main(String args[])
  {
    TCOption opt = new TCOption();
    opt.getOpts(args);

    if(opt.get("help") != null)
    {
      opt.usage();
      System.exit(1);
    }
    if(opt.get("version") != null)
    {
      System.out.println(TCOption.ProgramName + " : " + TCOption.VersionStr); 
      System.exit(1);      
    }

    TimerClockPanel tcp = new TimerClockPanel(500, 500, new TimerDowncount(0));
    DisplayTime     dt  = new DisplayTime(tcp);
    TimerClockFrame tcf = new TimerClockFrame();    

    // setting options
    tcp.setPeriodTime(opt.getIntegerOption("period") * 1000);
    int fontstyle = 
      (opt.getBooleanOption("font-italic") ? Font.ITALIC : 0) + 
      (opt.getBooleanOption("font-bold")   ? Font.BOLD   : 0);
    tcp.setFontInfo(opt.getStringOption("font-name"), fontstyle);
    Message.setVerboseMode(opt.getBooleanOption("verbose"));

    // go 
    TCActions	    tca = TCActions.getInstance();
    tca.init(tcf, tcp, dt, opt);
  }
}
